%define upstream_name 	 XML-Writer
%define upstream_version 0.615

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Module for writing XML documents
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
XML::Writer is a simple Perl module for writing XML documents: it
takes care of constructing markup and escaping data correctly, and by
default, it also performs a significant amount of well-formedness
checking on the output, to make certain (for example) that start and
end tags match, that there is exactly one document element, and that
there are not duplicate attribute names.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes LICENSE META.yml MYMETA.yml README TODO examples
%{perl_vendorlib}/XML/Writer*
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.615.0-2.mga3
+ Revision: 375204
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 25 2012 jquelin <jquelin> 0.615.0-1.mga2
+ Revision: 201088
- update to 0.615

* Mon Jan 09 2012 jquelin <jquelin> 0.614.0-1.mga2
+ Revision: 193817
- update to 0.614

* Tue Jan 18 2011 jquelin <jquelin> 0.612.0-1.mga1
+ Revision: 23088
- cleaning spec file
- imported package perl-XML-Writer

